# Uses of Class
org.eclipse.mat.ui.SnapshotHistoryService.Entry

Packages that use SnapshotHistoryService.Entry
Package
Description
org.eclipse.mat.ui
User interface plug-in definitions and query execution for UI components (not API).
org.eclipse.mat.ui.internal.views
Some general views such as details of the dump, list of dumps, some user written notes, and the history of actions - user interface (not API).

## Uses of SnapshotHistoryService.Entry in org.eclipse.mat.ui

Methods in org.eclipse.mat.ui that return types with arguments of type SnapshotHistoryService.Entry
Modifier and Type
Method
Description
`List<SnapshotHistoryService.Entry>`
SnapshotHistoryService.`getVisitedEntries()`
Method parameters in org.eclipse.mat.ui with type arguments of type SnapshotHistoryService.Entry
Modifier and Type
Method
Description
`void`
SnapshotHistoryService.IChangeListener.`onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)`

## Uses of SnapshotHistoryService.Entry in org.eclipse.mat.ui.internal.views

Method parameters in org.eclipse.mat.ui.internal.views with type arguments of type SnapshotHistoryService.Entry
Modifier and Type
Method
Description
`void`
SnapshotHistoryView.`onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)`